### Hierarchy

- BigUint64ArrayConstructor

## Index

### Constructors

- constructor

### Properties

- BYTES_PER_ELEMENT
- prototype

### Methods

- from
- of

## Constructors

### constructor

- new BigUint64ArrayConstructor(length?: undefined | number): BigUint64Array
- new BigUint64ArrayConstructor(array: Iterable<bigint>): BigUint64Array
- new BigUint64ArrayConstructor(buffer: ArrayBufferLike, byteOffset?: undefined | number, length?: undefined | number): BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:571

  #### Parameters

  - ##### Optional length: undefined | number

  #### Returns BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:572

  #### Parameters

  - ##### array: Iterable<bigint>

  #### Returns BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:573

  #### Parameters

  - ##### buffer: ArrayBufferLike

  - ##### Optional byteOffset: undefined | number

  - ##### Optional length: undefined | number

  #### Returns BigUint64Array

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:577

The size in bytes of each element in the array.

### prototype

prototype: BigUint64Array

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:571

## Methods

### from

- from(arrayLike: ArrayLike<bigint>): BigUint64Array
- from<U>(arrayLike: ArrayLike<U>, mapfn: function, thisArg?: any): BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:591

  Creates an array from an array-like or iterable object.

  #### Parameters

  - ##### arrayLike: ArrayLike<bigint>

    An array-like or iterable object to convert to an array.

  #### Returns BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:592

  #### Type parameters

  - #### U

  #### Parameters

  - ##### arrayLike: ArrayLike<U>

  - ##### mapfn: function

    - - (v: U, k: number): bigint

      - #### Parameters

        - ##### v: U

        - ##### k: number

        #### Returns bigint

  - ##### Optional thisArg: any

  #### Returns BigUint64Array

### of

- of(...items: bigint[]): BigUint64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:583

  Returns a new array from a set of elements.

  #### Parameters

  - ##### Rest ...items: bigint[]

    A set of elements to include in the new array object.

  #### Returns BigUint64Array

Generated using TypeDoc